Page MenuHomePhabricator

Table of nuclides based on Wikidata
Closed, ResolvedPublic

Event Timeline

Ricordisamoa raised the priority of this task from to Needs Triage.
Ricordisamoa updated the task description. (Show Details)
Ricordisamoa added subscribers: Ricordisamoa, Tobias1984.
Restricted Application added a project: Wikidata. · View Herald TranscriptOct 3 2015, 12:33 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

We have properties for decays to and decay mode, but how do we identify stable nuclides?

Pamputt added a subscriber: Pamputt.EditedOct 3 2015, 9:07 AM

We have properties for decays to and decay mode, but how do we identify stable nuclides?

We could use lifetime and set it to infinity (that is not possible yet).
Otheriwise, one can choose "decays to" with "none value" as I did for carbon-12

Another question is how we identify items of isotopes. There seems to be no consensus how to use p31 and p279 for isotopes (Including some poorly thought out edits by me). Right now I would favour constructing the tree like this example:

carbon-12 <p279> isotopes of carbon <p279> isotope

But I am also open for other suggestions.

Sjoerddebruin moved this task from incoming to monitoring on the Wikidata board.Oct 4 2015, 3:40 PM

I'm new to phabricator but this sounds like fun!
Suggestions in response to above questions:

  1. We could try to make every stable nuclide an instance of "stable isotope" (Q878130). I don't believe it's been used for that yet but it seems the perfect candidate to identify.
  2. To find all nuclides the query I used in this auto list of the nuclides should work - it's CLAIM[31:(tree[25276][][279])] - i.e. all instances from the subclass tree of 'isotope' (Q25276).

Also I've added 'half-life' to a number of the nuclides but we should get a more complete data input if possible somehow from the NNDC list or elsewhere - coloring by half-life is the key to this chart here: http://www.nndc.bnl.gov/nudat2/reCenter.jsp?z=88&n=140

By the way, the standard chart uses neutron number on the horizontal axis and proton number (i.e. the "atomic number" property) on the vertical. Every legitimate nuclide in wikidata seems to have those set correctly (I had to correct a handful last week but most were right).

Ricordisamoa updated the task description. (Show Details)Oct 5 2015, 2:55 PM
Ricordisamoa set Security to None.

I hacked on the periodic table code to get a very bare-bones nuclides code working... see files uploaded (nuclides.py has the main content, units.py is to do something with half-life data for now, nu_app.py runs the flask app, index.html is the template display - needs a lot of styling!)

I hacked on the periodic table code to get a very bare-bones nuclides code working... see files uploaded (nuclides.py has the main content, units.py is to do something with half-life data for now, nu_app.py runs the flask app, index.html is the template display - needs a lot of styling!)

Thanks! You can upload a patch to Gerrit, otherwise I'll give it a try. The elements table will not go away, of course.

I've never used Gerrit - I guess it's gerrit.wikimedia.org? phabricator/tools is the project? How does one get an account there?

I've made a few changes but a couple of things still in progress - it's getting closer, here's an image of what it looks like right now:

When you hover over a box in the chart it shows the label, and allows you to link to the wikidata page for that isotope. That part's nice...
I need to handle the 'm' nuclides (excited state isomers), also find some way of identifying the stable nuclides. The chart is color-coded by half-life (but not many nuclides have half lives entered yet).

I've never used Gerrit - I guess it's gerrit.wikimedia.org? phabricator/tools is the project? How does one get an account there?

Please read https://www.mediawiki.org/wiki/Gerrit/Tutorial; the project is named "labs/tools/ptable".

Thanks! I'm partially set up but I need to do a bit of reading. I will most likely get this in (with updates) Monday - hope that's ok!

ArthurPSmith closed this task as Resolved.Feb 19 2016, 4:36 PM
ArthurPSmith claimed this task.

Probably should close this - it's been up live for a week or so now! Ran into a problem with query service bugs, but that seems to be resolved. See http://tools.wmflabs.org/ptable/nuclides

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptFeb 19 2016, 4:36 PM